%global checkout 602hg

Name:           rachota
Version:        2.4
Release:        %mkrel 0.%{checkout}.2
Summary:        Straightforward timetracking
Group:          Development/Java

License:        CDDL-1.0
URL:            https://rachota.sourceforge.net/en/index.html
## Upstream does not provide any source tarball.
## We have to check them out via mercurial.
# hg clone http://hg.code.sf.net/p/rachota/code rachota
# cd rachota
# hg update -c 602
# cd ..
# tar caf rachota.tar.gz rachota
Source0:        %{name}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.png

BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

BuildRequires:  jpackage-utils

BuildRequires:  junit

BuildRequires:  maven-local

BuildRequires:  desktop-file-utils

Requires:       jpackage-utils

Requires:       java

%description
Rachota is a portable application for timetracking different projects. It runs
everywhere. It displays time data in diagram form, creates customized reports
and invoices or analyses measured data and suggests hints to improve user's
time usage. The totally portable yet personal timetracker. 

%package javadoc
Summary:        Javadocs for %{name}
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}

%build
%mvn_build

%install
%mvn_install

%jpackage_script org.cesilko.rachota.gui.MainWindow "" "" %{name} %{name} true

install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}



%files -f .mfiles
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%files javadoc -f .mfiles-javadoc


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.4-0.602hg.2.mga10
+ Revision: 2228378
- Mageia 10 Mass Rebuild

* Sun Sep 29 2024 daviddavid <daviddavid> 2.4-0.602hg.1.mga10
+ Revision: 2101992
- new version: 2.4-602hg

* Wed Sep 21 2022 neoclust <neoclust> 2.3-11.20130104cvs.7.mga9
+ Revision: 1891177
- Fix build with jdk 17

* Sat Mar 26 2022 umeabot <umeabot> 2.3-11.20130104cvs.6.mga9
+ Revision: 1828758
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.3-11.20130104cvs.5.mga8
+ Revision: 1507590
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 2.3-11.20130104cvs.4.mga7
+ Revision: 1290699
- Mageia 7 Mass Rebuild

* Fri Sep 15 2017 tv <tv> 2.3-11.20130104cvs.3.mga7
+ Revision: 1154063
- fix SRPM creation due to doble noarch tag
+ neoclust <neoclust>
- Second rebuild of the java stack

* Sat Feb 27 2016 daviddavid <daviddavid> 2.3-11.20130104cvs.1.mga6
+ Revision: 979896
- First rebuild of the java stack
- sync package rachota with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.3-3.20130104cvs.4.mga5
+ Revision: 749745
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3-3.20130104cvs.3.mga5
+ Revision: 688598
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.3-3.20130104cvs.2.mga4
+ Revision: 529717
- Mageia 4 Mass Rebuild

* Thu Jul 11 2013 dmorgan <dmorgan> 2.3-3.20130104cvs.1.mga4
+ Revision: 453004
- Update to last cvs version

* Sun Jan 13 2013 umeabot <umeabot> 2.3-3.20120110cvs.2.mga3
+ Revision: 380150
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 dmorgan <dmorgan> 2.3-3.20120110cvs.1.mga3
+ Revision: 267978
- imported package rachota


* Mon Jan 09 2012 Sébastien Willmann <sebastien.willmann@gmail.com> - 2.3-3.20120110cvs
- Rachota now creates configuration in home: patch not needed anymore

* Sun Jan 08 2012 Sébastien Willmann <sebastien.willmann@gmail.com> - 2.3-2.20111231cvs
- Replaced cp by install
- Removed .jar and .class cleanup, since there is nothing to cleanup
- Changed patch: now storing configuration in $HOME/.config/rachota

* Sun Jan 01 2012 Sébastien Willmann <sebastien.willmann@gmail.com> - 2.3-1.20111231cvs
- Spec file creation

